/**
 * 
 */
package com.as.lyons.wcf.svc.atm;

import com.as.lyons.wcf.svc.atm.client.IATMService;

/**
 * Common interface for calling a method on the ATM REST service.
 * 
 * @author pgurov
 *
 */
public interface AtmServiceCall {
	/**
	 * Prints the arguments help for the particular method.
	 * 
	 * @param loginProps
	 * @param method
	 */
	void printHelp(LogonProperties loginProps, String method);

	/**
	 * Calls the ATM WCF service using the particular method.
	 * 
	 * @param svc
	 * @param loginProps
	 * @param method
	 * @param args
	 * @throws StopProcesingException
	 */
	void call(IATMService svc, LogonProperties loginProps, String method, String[] args) throws StopProcesingException;
}
