/**
 * 
 */
package com.as.lyons.wcf.svc.atm;

import java.util.Map;

import com.as.lyons.wcf.svc.atm.client.IATMService;

/**
 * @author pgurov
 *
 */
public class HelpAtmServiceCall implements AtmServiceCall {

	@Override
	public void printHelp(LogonProperties loginProps, String method) {
		AtmServiceCall svcMethod = null;
		if (loginProps != null) {
			Map<String, AtmServiceCall> svcMethods = loginProps.getSvcMethods();
			if (svcMethods != null && method != null) {
				svcMethod = svcMethods.get(method);
			}
		}
		if (svcMethod == null || svcMethod == this) {
			System.out.println("Please run the program without any arguents to see general help!");
		} else {
			svcMethod.printHelp(loginProps, method);
		}

	}

	@Override
	public void call(IATMService svc, LogonProperties loginProps, String method, String[] args)
			throws StopProcesingException {
		String svcMethod = "";
		if (args != null && args.length > 0) {
			svcMethod = args[0];
		}
		printHelp(loginProps, svcMethod);
	}

}
